Page MenuHomePhabricator

extensions/EventBus/includes/EventBusRCFeedEngine.php:45 PHP Notice: Undefined index: eventServiceName
Closed, ResolvedPublic

Description

Error

Request ID: AWkHk8xAbCSAhwxG_yCB1

message
PHP Notice: Undefined index: eventServiceName
trace
#0 /srv/mediawiki/php-1.33.0-wmf.18/extensions/EventBus/includes/EventBusRCFeedEngine.php(45): MWExceptionHandler::handleError(integer, string, string, integer, array)
#1 /srv/mediawiki/php-1.33.0-wmf.18/includes/deferred/MWCallableUpdate.php(34): EventBusRCFeedEngine->{closure}()
#2 /srv/mediawiki/php-1.33.0-wmf.18/includes/deferred/DeferredUpdates.php(270): MWCallableUpdate->doUpdate()
#3 /srv/mediawiki/php-1.33.0-wmf.18/includes/deferred/DeferredUpdates.php(228): DeferredUpdates::runUpdate(MWCallableUpdate, Wikimedia\Rdbms\LBFactoryMulti, string, integer)
#4 /srv/mediawiki/php-1.33.0-wmf.18/includes/deferred/DeferredUpdates.php(140): DeferredUpdates::execute(array, string, integer)
#5 /srv/mediawiki/php-1.33.0-wmf.18/includes/MediaWiki.php(909): DeferredUpdates::doUpdates(string)
#6 /srv/mediawiki/php-1.33.0-wmf.18/includes/MediaWiki.php(733): MediaWiki->restInPeace(string, boolean)
#7 /srv/mediawiki/php-1.33.0-wmf.18/includes/MediaWiki.php(756): MediaWiki->{closure}()
#8 /srv/mediawiki/php-1.33.0-wmf.18/includes/MediaWiki.php(550): MediaWiki->doPostOutputShutdown(string)
#9 /srv/mediawiki/php-1.33.0-wmf.18/index.php(42): MediaWiki->run()
#10 /srv/mediawiki/w/index.php(3): require(string)
#11 {main}

Impact

Notes

Happening on MediaWiki wiki for wmf.18

Event Timeline

Restricted Application added a project: Analytics. · View Herald TranscriptFeb 19 2019, 9:09 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Ah! Didn't realize that would cause a problem. Can fix, will add a check...

Ottomata claimed this task.Feb 19 2019, 9:10 PM

Change 491591 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[mediawiki/extensions/EventBus@master] Check for eventServiceName in config before accessing

https://gerrit.wikimedia.org/r/491591

Change 491591 merged by jenkins-bot:
[mediawiki/extensions/EventBus@master] Check for eventServiceName in config before accessing

https://gerrit.wikimedia.org/r/491591

Change 491845 had a related patch set uploaded (by Thcipriani; owner: Ottomata):
[mediawiki/extensions/EventBus@wmf/1.33.0-wmf.18] Check for eventServiceName in config before accessing

https://gerrit.wikimedia.org/r/491845

Change 491845 merged by jenkins-bot:
[mediawiki/extensions/EventBus@wmf/1.33.0-wmf.18] Check for eventServiceName in config before accessing

https://gerrit.wikimedia.org/r/491845

Mentioned in SAL (#wikimedia-operations) [2019-02-20T20:14:01Z] <thcipriani@deploy1001> Synchronized php-1.33.0-wmf.18/extensions/EventBus/includes/EventBusRCFeedEngine.php: [[gerrit:491845|Check for eventServiceName in config before accessing]] T216561 (duration: 00m 55s)

Milimetric triaged this task as Normal priority.Feb 21 2019, 5:36 PM
Milimetric moved this task from Incoming to Modern Event Platform on the Analytics board.
Milimetric added a project: Analytics-Kanban.
Ottomata raised the priority of this task from Normal to High.Feb 21 2019, 5:54 PM

@Ottomata I backported your fix and deployed it for wmf.18 yesterday before I rolled-forward the train to group1 wikis. This error hasn't shown up in the logs since.

Unclear if you were keeping this open because you planned additional work related to this task. From my perspective, it's no longer in the error log and is resolved from a production-error perspective.

Ottomata moved this task from Next Up to Done on the Analytics-Kanban board.Feb 21 2019, 7:16 PM
Ottomata closed this task as Resolved.Feb 21 2019, 7:33 PM
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:07 PM